Subject: Re: [PATCH v2 net-next 0/2] split BPF out of core networking

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Mon, 2 Jun 2014 11:16:06 -0300

Em Mon, Jun 02, 2014 at 09:24:56AM -0400, Steven Rostedt escreveu:
> On Mon, 2 Jun 2014 08:15:45 -0500
> Jonathan Corbet <[email-masked]> wrote:
 
> > On Mon,  2 Jun 2014 00:01:44 -0700
> > Alexei Starovoitov <[email-masked]> wrote:

> > > This patch set splits BPF out of core networking into generic component

> > Quick, probably dumb question: if you're going to split it out, why not
> > split it out entirely, into kernel/ or (perhaps better) lib/?  The
> > whole point seems to be that BPF is outgrowing its networking home, so
> > it seems like it might be better to make it truly generic.
 
> I believe this is what Ingo suggested as well. If it is become generic,
> it belongs in lib/

Yes, that was his suggestion, which I agree with, FWIW.

- Arnaldo